[type='range'] {
  --range: calc(var(--max) - var(--min));
  --ratio: calc((var(--val) - var(--min))/var(--range));
  --sx: calc(.5*1.5em + var(--ratio)*(100% - 1.5em));
  margin: 0;
  padding: 0;
  width: 12.5em;
  height: 1.5em;
  background: transparent;
  font: 1em/1 arial, sans-serif; }
  [type='range'], [type='range']::-webkit-slider-thumb {
    -webkit-appearance: none;
    outline: none; }
  [type='range']::-webkit-slider-runnable-track {
    box-sizing: border-box;
    border: none;
    width: 12.5em;
    height: 0.25em;
    background: #ccc; }
    .js [type='range']::-webkit-slider-runnable-track {
      background: linear-gradient(#95a, #95a) 0/var(--sx) 100% no-repeat #ccc; }
  [type='range']::-moz-range-track {
    box-sizing: border-box;
    border: none;
    width: 12.5em;
    height: 0.25em;
    background: #ccc; }
  [type='range']::-ms-track {
    box-sizing: border-box;
    border: none;
    width: 12.5em;
    height: 0.25em;
    background: #ccc; }
  [type='range']::-moz-range-progress {
    height: 0.25em;
    background: #95a; }
  [type='range']::-ms-fill-lower {
    height: 0.25em;
    background: #95a; }
  [type='range']::-webkit-slider-thumb {
    margin-top: -0.625em;
    box-sizing: border-box;
    border: none;
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    background: #4c626c; }
  [type='range']::-moz-range-thumb {
    box-sizing: border-box;
    border: none;
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    background: #4c626c; }
  [type='range']::-ms-thumb {
    margin-top: 0;
    box-sizing: border-box;
    border: none;
    width: 1.5em;
    height: 1.5em;
    border-radius: 50%;
    background: #4c626c; }
  [type='range']::-ms-tooltip {
    display: none; }
